
Redmine - Patch #29395

Pagination between repository entries and attachments of the same container

2018-08-16 10:59 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 4.0.0   

Description

This feature was implemented for Planio and consists of 3 patches:

1. adds pagination under the attachment preview which allows to cycle through the list of attachments of the container object

2. adds pagination under the preview of repository entries to navigate other entries on the same level

3. adds some Javascript which binds left/right arrow keys to work like clicks on the previous / next links (only in the cases of 1 and 2).

Associated revisions

Revision 17567 - 2018-10-04 15:20 - Go MAEDA

Attachments prev/next navigation (#29395).

Patch by Jens Krämer.

Revision 17568 - 2018-10-04 15:24 - Go MAEDA

Repository entry pagination (#29395).

Patch by Jens Krämer.

Revision 17569 - 2018-10-04 15:27 - Go MAEDA

Adds file preview prev/next navigation with arrow keys (#29395).

Patch by Jens Krämer.

Revision 17570 - 2018-10-04 15:31 - Go MAEDA

Let pagination always be visible (#29395).

Patch by Felix Gliesche.

History

#1 - 2018-08-18 09:29 - Go MAEDA

- File 29395-pagination-screenshot@2x.png added

- Target version set to Candidate for next major release

This is a screenshot after applying 0001-attachments-prev-next-navigation.patch. I like this feature.
https://plan.io/redmine-hosting
https://www.redmine.org/attachments/21246


#2 - 2018-09-02 05:23 - Yuuki NARA

+1

#3 - 2018-09-05 14:34 - Felix Gliesche

- File 0004-Let-pagination-always-be-visible.patch added

I am adding a small improvement to this patch: When browsing through a series of attachments it's convenient for the user to have the pagniation

always in the viewport in order to avoid scrolling after page change. The attached patch takes care, that the pagination is always visible.

#4 - 2018-09-21 05:54 - Go MAEDA

- Status changed from New to Needs feedback

The pagination is really nice, but some features don't work on my environment. Could you look into it? The second problem is reproducible also on

Planio.

1. Left and right arrow keys don't work at all. Nothing occurs when I hit those keys.

2. Bottom part of the content and pagination are not shown if I apply 0004-Let-pagination-always-be-visible.patch.

I tested with Firefox 62.0 and Chrome 69.0.3497.100 on macOS.

#5 - 2018-09-21 06:42 - Go MAEDA

- File cannot-see-bottom-part-of-content.png added

The screenshot below describes the problem I wrote in #29395#note-4. The attachment '100-lines.txt' consists of 100 lines of text, but the page

shows only 35 lines and a user cannot scroll down. No problem if 0004-Let-pagination-always-be-visible.patch is not applied.
cannot-see-bottom-part-of-content.png 

#6 - 2018-09-21 07:40 - Felix Gliesche

Thanks for reporting this problem. I will take care of it and update the patch.

#7 - 2018-09-25 15:06 - Felix Gliesche

- File 0004-Let-pagination-always-be-visible.patch added
Here is an update to the patch, that should fix the before mentioned case.

Go MAEDA: could you delete the old version of the file  0004-Let-pagination-always-be-visible.patch?

Thanks!

#8 - 2018-09-25 23:17 - Go MAEDA

- File deleted (0004-Let-pagination-always-be-visible.patch)

#9 - 2018-10-01 11:00 - Go MAEDA

Felix Gliesche wrote:

Here is an update to the patch, that should fix the before mentioned case.

 Thank you for updating the patch. But I could not find differences between before and after applying 0004-Let-pagination-always-be-visible.patch.

Could you tell me how the patch should work? Please show me some screenshots if possible.

And, the left and right arrow key don't work on my environment (Firefox 62.0.2 and Chrome 69.0.3497.100 on macOS). Could you also investigate

this?

#10 - 2018-10-04 09:09 - Jens Krämer

- File 0003-adds-file-preview-prev-next-navigation-with-arrow-ke.patch added

Go MAEDA wrote:

Could you tell me how the patch should work?

The new version of the patch is supposed to remove the height limiting for any plain text files, that is, the file should be shown as usual and the

pagination below. So in turn the height limiting, keeping pagination visible at the bottom of the screen, should only be active for images / video where

it makes the most sense. I just tried this out locally and it looked good to me.

And, the left and right arrow key don't work on my environment (Firefox 62.0.2 and Chrome 69.0.3497.100 on macOS). Could you also

investigate this?

 The javascript function was indeed never called. I upload an updated version of the patch which also fixes the problem that pagination was triggered

when modifier keys were pressed together with an arrow key (i.e. when trying to go back a page using Alt-ArrowLeft)

#11 - 2018-10-04 10:21 - Go MAEDA

- Status changed from Needs feedback to New

- Target version changed from Candidate for next major release to 4.1.0

Confirmed that everything is working fine now!

Setting target version to 4.1.0.

#12 - 2018-10-04 15:18 - Go MAEDA

- File deleted (0003-adds-file-preview-prev-next-navigation-with-arrow-ke.patch)

#13 - 2018-10-04 15:34 - Go MAEDA

- Subject changed from [Feature] Pagination between repository entries and attachments of the same container to Pagination between repository

entries and attachments of the same container

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed the patch series. Thank you for providing the nice feature!

Files

0001-attachments-prev-next-navigation.patch 3.61 KB 2018-08-16 Jens Krämer

0002-repository-entry-pagination.patch 3.55 KB 2018-08-16 Jens Krämer

29395-pagination-screenshot@2x.png 136 KB 2018-08-18 Go MAEDA

cannot-see-bottom-part-of-content.png 72.7 KB 2018-09-21 Go MAEDA

0004-Let-pagination-always-be-visible.patch 2.72 KB 2018-09-25 Felix Gliesche
0003-adds-file-preview-prev-next-navigation-with-arrow-ke.patch 2.4 KB 2018-10-04 Jens Krämer
